import { jsx } from "react/jsx-runtime";
import { SoccerBall as SoccerBall$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const SoccerBall = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "SoccerBall", ...props, children: /* @__PURE__ */ jsx(SoccerBall$1, { weight: variant }) });
  }
);
SoccerBall.displayName = "SoccerBall";
Object.assign(SoccerBall, { isGdsIcon: true });
export {
  SoccerBall
};
